using BS.Shared;

namespace BeWo.Data.Entities
{
    public class Settings : BeWoEntityBase
    {
        public static string PropertyName_ObjectOid = "ObjectOid";

        public static string PropertyName_ObjectTid = "ObjectTid";

        public static string PropertyName_Type = "Type";

        public static string PropertyName_Value = "Value";

        private long _ObjectOid;

        private TableID _ObjectTid;

        private SettingsType _Type;

        private string _Value = string.Empty;

        public Settings()
        {
            this._Tid = TableID.Settings;
        }

        public virtual long ObjectOid
        {
            get
            {
                return this._ObjectOid;
            }

            set
            {
                if (this.AreDifferent(this._ObjectOid, value))
                {
                    this._ObjectOid = value;
                }
            }
        }

        public virtual TableID ObjectTid
        {
            get
            {
                return this._ObjectTid;
            }

            set
            {
                if (this.AreDifferent(this._ObjectTid, value))
                {
                    this._ObjectTid = value;
                }
            }
        }

        public virtual SettingsType Type
        {
            get
            {
                return this._Type;
            }

            set
            {
                if (this.AreDifferent(this._Type, value))
                {
                    this._Type = value;
                }
            }
        }

        public virtual string Value
        {
            get
            {
                return this._Value;
            }

            set
            {
                if (this.AreDifferent(this._Value, value))
                {
                    this._Value = value;
                }
            }
        }
    }
}